Subject: undo and the snarf buffer

From: John (Most modern computers would break if you stood on them) Mackin <john@ civil.su.oz.au>
Date: Tue, 12 Jan 1993 22:41:05 -0500

This is something I have been wondering about for a couple of years, and
since just noticed it again I thought I'd see what people think.

At the moment, doing "undo" on button two doesn't affect the contents
of the snarf buffer.  I think there is a good argument that it should.
On the theoretical side, you're asking sam to restore its state to a
previous state.  That shouldn't be just the state of the buffer being
edited, it should be all the state you can get at.  On the practical
side, this bites me when I do a "cut" accidentally when I meant a "paste".
What I think I should be able to do is "undo" just once -- which would
undo the cut -and- back out the snarf buffer to have what it had before
the cut was done -- and then do "paste".  Instead I have to re-snarf
what I had before, which often involves undoing further back to get
it back in the buffer again if I had cut it originally.

Thoughts?

OK,
John.